// windowdialog.js


// open find XUL dialog
function doFindDialog() {
    content.focus();
    window.openDialog("chrome://mozedit/content/findDialog.xul",
	    "find","chrome,dialog,modal",getDialogXY(320));
}


// helper function returns XY screen coordinates
function getDialogXY(width) {
    if (width == null || width == "") {
	    width = 0;
	}
    var obj = new Object();
	obj.y = window.screenY+90;
	obj.x = window.screenX + window.outerWidth * .5 - (width*.5);
	return obj;
}

// open replace XUL dialog
function doReplaceDialog() {
    window.openDialog("chrome://mozedit/content/replaceDialog.xul",
	    "replace","chrome,dialog,modal",getDialogXY(320));
}

// preferences dialog
function doPrefsDialog() {
    var win = window.openDialog("chrome://mozedit/content/optionsDialog.xul",
	    "about","chrome,dialog,modal",getDialogXY(450));
}

// open replace XUL dialog
function doHelp() {
     //var win = window.openDialog("chrome://mozedit/content/helpDialog.xul",
	    //"help","chrome,dialog,modal",getDialogXY(500));
     window.open("chrome://mozedit/content/help/index.html","help-print","toolbar=no,location=no,menubar=no,width=650,height=500,scrollbars=yes,resizable=yes");
}

// open replace XUL dialog
function doPrint(source) {
    var contentStr = content.value;
    if (source != null) {
        contentStr = contentStr.replace(/&lt;/g,"&#38;lt;");
        contentStr = contentStr.replace(/&gt;/g,"&#38;gt;");
        contentStr = contentStr.replace(/</g,"&lt;");
        contentStr = contentStr.replace(/>/g,"&gt;");
        contentStr = contentStr.replace(/\n/g,"<br>");
        contentStr = contentStr.replace(/\s/g,"&nbsp;");
    }

    var path = inputFile.value;

    if (path == "") {
        var du = new DirUtils();
        var unixPath = "/chrome/mozeditproperties/mozedit-print-temp~";
        var winPath = "\\chrome\\mozeditproperties\\mozedit-print-temp~";
        var path = unixPath;

        if (navigator.platform == "Win32") {
            path = winPath;
        }

        path = du.getMozUserHomeDir() + path;
    } else {
        path = path + "-temp~";
    }

    var docString = "<html><head><title>Print Preview</title></head><body onload='window.print()'>" +
    contentStr +"</body></html>";

    var result = saveLogic(path,docString);

    if (result == true) {
        addToTempFiles( path );
        url = 'file://' + path;
    } else {
       alert("Your file could not be printed. Check file name.");
       return;
    }

    var print = window.open(url,"printpreview","toolbar=no,location=no,menubar=yes,width=650,height=500,scrollbars=yes,resizable=yes");
}

// Print content source for HTML
function doPrintSource() {
  doPrint(true);
}

// about dialog
function doAbout() {
    var win = window.openDialog("chrome://mozedit/content/about.xul",
	    "about","chrome,dialog,modal",getDialogXY(320));
}



function newMozeditWindow()
{
    // Open mozedit window
    window.open("chrome://mozedit/content", "_blank", "chrome,all,dialog=no");
}


function newFirebirdWindow()
{
    // Open mozedit window
    window.open("");
}

